Summary: enables anonymous ftp access
Name: anonftp
Version: 2.3
Release: 1
Copyright: GPL
Group: Networking/Admin
Prefix: /home/ftp
BuildRoot: /tmp/anonftp

%description
Contains the files needed for allowing anonymous ftp access to your machine. 
This lets any user get files from your machine without having an account,
which is a popular way of making programs available on the Internet.

%prep
rm -rf $RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/bin
mkdir -p $RPM_BUILD_ROOT/home/ftp/dev
mkdir -p $RPM_BUILD_ROOT/home/ftp/lib

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

%ifarch i386
cp -fpa /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fpa /lib/libc.so.5 /lib/libc.so.5.3.12 /lib/ld-linux.so.1 /lib/ld-linux.so.1.7.14 /lib/ld.so.1.7.14 /lib/ld.so /lib/libtermcap.so.2 /lib/libtermcap.so.2.0.? $RPM_BUILD_ROOT/home/ftp/lib
%endif

%ifarch sparc
cp -fpa /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fpa /lib/libc.so.5 /lib/libc.so.5.3.12 /lib/ld-linux.so.1 /lib/ld-linux.so /lib/libtermcap.so.2 /lib/libtermcap.so.2.0.8 $RPM_BUILD_ROOT/home/ftp/lib
%endif

%ifarch alpha
cp -fpa /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fpa /lib/libc.so.6 /lib/libc-1.93.so /lib/ld.so.1 /lib/libtermcap.so.2 /lib/libtermcap.so.2.0.8 $RPM_BUILD_ROOT/home/ftp/lib
%endif

cp -fpa /bin/ls /bin/cpio /bin/gzip /bin/sh /bin/tar $RPM_BUILD_ROOT/home/ftp/bin
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
cp -fpa /usr/bin/compress $RPM_BUILD_ROOT/home/ftp/bin

cp -fpa /dev/zero $RPM_BUILD_ROOT/home/ftp/dev/zero

chown root.root $RPM_BUILD_ROOT/home/ftp
chmod 755 $RPM_BUILD_ROOT/home/ftp
chown root.root $RPM_BUILD_ROOT/home/ftp/*
chmod -R 111 $RPM_BUILD_ROOT/home/ftp/bin
chmod 111 $RPM_BUILD_ROOT/home/ftp/etc
chmod 444 $RPM_BUILD_ROOT/home/ftp/etc/*
chown root.ftp $RPM_BUILD_ROOT/home/ftp/pub
chmod 2555 $RPM_BUILD_ROOT/home/ftp/pub

%clean
rm -rf $RPM_BUILD_ROOT

%files
/home/ftp/etc/passwd
/home/ftp/etc/group

%ifarch i386
/home/ftp/etc/ld.so.cache
/home/ftp/lib/libc.so.5
/home/ftp/lib/libc.so.5.3.12
/home/ftp/lib/ld-linux.so.1
/home/ftp/lib/ld-linux.so.1.7.14
/home/ftp/lib/ld.so.1.7.14
/home/ftp/lib/ld.so
/home/ftp/lib/libtermcap.so.2
/home/ftp/lib/libtermcap.so.2.0.8
%endif

%ifarch sparc
/home/ftp/etc/ld.so.cache
/home/ftp/lib/libc.so.5
/home/ftp/lib/libc.so.5.3.12
/home/ftp/lib/ld-linux.so.1
/home/ftp/lib/ld-linux.so
/home/ftp/lib/libtermcap.so.2
/home/ftp/lib/libtermcap.so.2.0.8
%endif

%ifarch alpha
/home/ftp/etc/ld.so.cache
/home/ftp/lib/libc.so.6
/home/ftp/lib/libc-1.93.so
/home/ftp/lib/ld.so.1
/home/ftp/lib/libtermcap.so.2
/home/ftp/lib/libtermcap.so.2.0.8
%endif

%dir /home/ftp
%dir /home/ftp/bin
%dir /home/ftp/etc
%dir /home/ftp/pub
%dir /home/ftp/lib
/home/ftp/bin/ls
/home/ftp/bin/compress
/home/ftp/bin/cpio
/home/ftp/bin/gzip
/home/ftp/bin/sh
/home/ftp/bin/tar
/home/ftp/bin/zcat
/home/ftp/dev/zero
